## org.codehaus.groovy.grails.documentation
Class DocumentationContext

    java.lang.Object
      org.codehaus.groovy.grails.documentation.DocumentationContext

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class DocumentationContext

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`DocumentationContext()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`DocumentationContext` `document(String doc)`
`DocumentationContext` `documentMethod(String artefact, Class type, String name, Class[] arguments)`
`DocumentationContext` `documentProperty(String artefact, Class type, String name)`
`DocumentationContext` `documentStaticMethod(String artefact, Class type, String name, Class[] arguments)`
`String` `getArtefactType()`
`String` `getCurrentDocumentation()`
`static DocumentationContext` `getInstance()`
`groovy.lang.MetaClass` `getMetaClass()`
`List<org.codehaus.groovy.grails.documentation.DocumentedMethod>` `getMethods()`
`List<org.codehaus.groovy.grails.documentation.DocumentedProperty>` `getProperties()`
`Object` `getProperty(String property)`
`List<org.codehaus.groovy.grails.documentation.DocumentedMethod>` `getStaticMethods()`
`boolean` `hasMetadata()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isActive()`
`void` `reset()`
`void` `setActive(boolean b)`
`void` `setArtefactType(String value)`
`void` `setCurrentDocumentation(String value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setMethods(List<org.codehaus.groovy.grails.documentation.DocumentedMethod> value)`
`void` `setProperties(List<org.codehaus.groovy.grails.documentation.DocumentedProperty> value)`
`void` `setProperty(String property, Object value)`
`void` `setStaticMethods(List<org.codehaus.groovy.grails.documentation.DocumentedMethod> value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentationContext

    public DocumentationContext()

Method Detail

### getArtefactType

    public String getArtefactType()

### setArtefactType

    public void setArtefactType(String value)

### getCurrentDocumentation

    public String getCurrentDocumentation()

### setCurrentDocumentation

    public void setCurrentDocumentation(String value)

### getMethods

    public List<org.codehaus.groovy.grails.documentation.DocumentedMethod> getMethods()

### setMethods

    public void setMethods(List<org.codehaus.groovy.grails.documentation.DocumentedMethod> value)

### getStaticMethods

    public List<org.codehaus.groovy.grails.documentation.DocumentedMethod> getStaticMethods()

### setStaticMethods

    public void setStaticMethods(List<org.codehaus.groovy.grails.documentation.DocumentedMethod> value)

### getProperties

    public List<org.codehaus.groovy.grails.documentation.DocumentedProperty> getProperties()

### setProperties

    public void setProperties(List<org.codehaus.groovy.grails.documentation.DocumentedProperty> value)

### getInstance

    public static DocumentationContext getInstance()

### hasMetadata

    public boolean hasMetadata()

### isActive

    public boolean isActive()

### setActive

    public void setActive(boolean b)

### reset

    public void reset()

### document

    public DocumentationContext document(String doc)

### documentMethod

    public DocumentationContext documentMethod(String artefact,
                                               Class type,
                                               String name,
                                               Class[] arguments)

### documentStaticMethod

    public DocumentationContext documentStaticMethod(String artefact,
                                                     Class type,
                                                     String name,
                                                     Class[] arguments)

### documentProperty

    public DocumentationContext documentProperty(String artefact,
                                                 Class type,
                                                 String name)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project